@ECHO OFF
SET DOS4G=QUIET
echo Checking system...
MCHECK
IF ERRORLEVEL 10 GOTO END
IF ERRORLEVEL 9 set DOS4GVM=@K:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 9 goto START
IF ERRORLEVEL 8 set DOS4GVM=@J:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 8 goto START
IF ERRORLEVEL 7 set DOS4GVM=@I:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 7 goto START
IF ERRORLEVEL 6 set DOS4GVM=@H:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 6 goto START
IF ERRORLEVEL 5 set DOS4GVM=@G:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 5 goto START
IF ERRORLEVEL 4 set DOS4GVM=@F:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 4 goto START
IF ERRORLEVEL 3 set DOS4GVM=@E:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 3 goto START
IF ERRORLEVEL 2 set DOS4GVM=@D:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 2 goto START
IF ERRORLEVEL 1 set DOS4GVM=@C:\MEENDATA\MEEN.VMC
IF ERRORLEVEL 1 goto START
IF ERRORLEVEL 0 set DOS4GVM=
:START
echo Initializing game...
IMMEEN
set DOS4GVM=
:END
